Subject: Re: bug#33435: 27.0.50; A use case for recursive display specifications

From: Pip Cet <[email-masked]>
Date: Tue, 20 Nov 2018 15:16:25 +0000

On Mon, Nov 19, 2018 at 7:37 PM Eli Zaretskii <[email-masked]> wrote:
> > This is a feature request: I'd like to be able to display an empty line
> > as a non-empty line with images in it.
>
> I don't think I understand this.  Can you elaborate what that means?
>
> In case I did understand: did you try an overlay with after-string
> that has an image display property on it?

First, thanks for the suggestion; sorry, it simply hadn't occurred to
me that after/before-string can do things display specifications
cannot.

Obviously I'm still thinking of a display-propertized display
specification string as the more natural thing to do, and things are
slightly different (cursor placement, modifications, highlighting of
included text) with the after-string solution, but I'll try to get
things working that way. Thanks again.